Source: granite
Section: libs
Priority: optional
Maintainer: Debian Deepin Packaging Team <pkg-deepin-devel@lists.alioth.debian.org>
Uploaders:
 Yangfl <mmyangfl@gmail.com>,
 Boyuan Yang <byang@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 gettext,
 gobject-introspection (>= 1.41.4-1~),
 libgee-0.8-dev,
 libgirepository1.0-dev,
 libbrotli-dev,
 libgtk-3-dev (>= 3.22),
 meson,
 valac (>= 0.40),
Rules-Requires-Root: no
Standards-Version: 4.5.1
Homepage: https://github.com/elementary/granite
Vcs-Git: https://salsa.debian.org/pkg-deepin-team/granite.git
Vcs-Browser: https://salsa.debian.org/pkg-deepin-team/granite

Package: gir1.2-granite-1.0
Section: introspection
Architecture: any
Multi-Arch: foreign
Depends:
 ${gir:Depends},
 ${misc:Depends},
Description: extension of GTK+ libraries (introspection files)
 Granite is an extension of GTK+. Among other things, it provides
 complex widgets and convenience functions designed for use in apps
 built for elementary OS.
 .
 This package can be used by other packages using the GIRepository format to
 generate dynamic bindings.

Package: granite-demo
Section: misc
Architecture: any
Depends:
 libgranite6 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: extension of GTK+ libraries (demo binary)
 Granite is an extension of GTK+. Among other things, it provides
 complex widgets and convenience functions designed for use in apps
 built for elementary OS.
 .
 This package contains a small demo application to show Granite Widgets.

Package: libgranite-common
Section: misc
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Replaces:
 libgranite0 (>> 0.2~),
Breaks:
 libgranite0 (>> 0.2~),
Description: extension of GTK+ libraries (common files)
 Granite is an extension of GTK+. Among other things, it provides
 complex widgets and convenience functions designed for use in apps
 built for elementary OS.
 .
 This package contains common files needed by library.

Package: libgranite-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 gir1.2-granite-1.0 (= ${binary:Version}),
 libgee-0.8-dev,
 libglib2.0-dev,
 libgranite6 (= ${binary:Version}),
 libgtk-3-dev (>= 3.3.14),
 ${misc:Depends},
Description: extension of GTK+ libraries (development files)
 Granite is an extension of GTK+. Among other things, it provides
 complex widgets and convenience functions designed for use in apps
 built for elementary OS.
 .
 This package contains the static library and header files.

Package: libgranite6
Architecture: any
Multi-Arch: same
Depends:
 libgranite-common (>= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 contractor,
Breaks:
 libgranite5,
Replaces:
 libgranite5,
Description: extension of GTK+ libraries
 Granite is an extension of GTK+. Among other things, it provides
 complex widgets and convenience functions designed for use in apps
 built for elementary OS.
 .
 This package contains the shared library.
